com.smartgwt.client.types

## Enum SQLType

- java.lang.Object
- - java.lang.Enum<SQLType>
  - - com.smartgwt.client.types.SQLType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<SQLType>

      public enum SQLType
      extends java.lang.Enum<SQLType>
      implements ValueEnum

  The types of custom query that can be handled by Smart GWT's built-in "sql" and "hibernate" DataSources. Note, only applies to `operationType` "custom".

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `QUERY` The custom SQL or HQL is read-only
    `UPDATE` The custom SQL or HQL updates data

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static SQLType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SQLType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUERY

          public static final SQLType QUERY

      The custom SQL or HQL is read-only

    - #### UPDATE

          public static final SQLType UPDATE

      The custom SQL or HQL updates data

  - ### Method Detail

    - #### values

          public static SQLType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SQLType c : SQLType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SQLType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`